> ## Documentation Index
> Fetch the complete documentation index at: https://specbeeconsultingservices.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Leave Balances

> Retrieves the leave balances for employees



## OpenAPI

````yaml get /platform/api/leave_balances
openapi: 3.0.0
info:
  title: API Reference
  version: '1.0'
  contact:
    name: Rippling Support
    email: support@rippling.com
  license:
    name: MIT
  description: >-
    Using Rippling's API requires either an API key or an access token retrieved
    from an OAuth exchange. Each is tied to a single Rippling Company.


    If you are a partner building an integration to Rippling,you can use
    [Rippling's Installation
    Guide](https://developer.rippling.com/docs/rippling-api/fucwnbc121hiu-installation-guide)
    to learn how to retrieve an access token to start using Rippling APIs.


    If you are a customer, you can go
    [here](https://developer.rippling.com/docs/rippling-api/9rw6guf819r5f-introduction-for-customers)
    to learn create your API keys to start using Rippling APIs.


    ### Using the Interactive Documentation


    Rippling's Documentation Portal allows you to test the API endpoints
    directly within the documentation. To do so, provide your API key or Access
    Token as a header parameter with the form Authorization Bearer: Bearer.
  termsOfService: https://app.rippling.com/developer/tos
servers:
  - url: https://api.rippling.com
    description: Production
security:
  - Token: []
tags:
  - name: A. Companies
  - name: B. Employees
  - name: C. Payroll
  - name: D. 401k
  - name: F. Groups
  - name: G. SAML
  - name: E. Current User
  - name: H. ATS
  - name: I. Application Management
  - name: J. Reports
  - name: Deprecated
paths:
  /platform/api/leave_balances:
    parameters: []
    get:
      tags:
        - J. Leaves
      summary: GET Leave Balances
      description: Retrieves the leave balances for employees
      operationId: get-leave_balances
      parameters:
        - schema:
            type: string
          in: query
          name: limit
          description: Sets a limit on the returned values
        - schema:
            type: integer
          in: query
          name: offset
          description: Offset the returned values
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  role:
                    type: string
                    x-stoplight:
                      id: ds5agfkx834js
                  balances:
                    $ref: '#/components/schemas/LeaveBalances'
              examples:
                Example 1:
                  value:
                    - role: 583fd880a7b6897c1ed03604
                      balances:
                        - companyLeaveType: 639b3ab7fb9a2a208aeb3c22
                          isBalanceUnlimited: true
                        - companyLeaveType: 639b3ab8fb9a2a208aeb3c4b
                          isBalanceUnlimited: true
                        - companyLeaveType: 583fd8cfa7b6897c1ed034a7
                          balanceWithFutureRequests: 13637.26
                          balanceWithoutFutureRequests: 16997.26
                          isBalanceUnlimited: false
                        - companyLeaveType: 583fd8cfa7b6897c1ed034a9
                          balanceWithFutureRequests: '11331.51'
                          balanceWithoutFutureRequests: '11331.51'
                          isBalanceUnlimited: false
                    - role: 583fd884a7b6897c1ed036e2
                      balances:
                        - companyLeaveType: 639b3ab7fb9a2a208aeb3c22
                          isBalanceUnlimited: true
                        - companyLeaveType: 639b3ab8fb9a2a208aeb3c4b
                          isBalanceUnlimited: true
                        - companyLeaveType: 583fd8cfa7b6897c1ed034a7
                          balanceWithFutureRequests: '17118.08'
                          balanceWithoutFutureRequests: 17118.08
                          isBalanceUnlimited: false
                        - companyLeaveType: 583fd8cfa7b6897c1ed034a9
                          balanceWithFutureRequests: '12692.05'
                          balanceWithoutFutureRequests: '12692.05'
                          isBalanceUnlimited: false
      security:
        - Token: []
components:
  schemas:
    LeaveBalances:
      title: LeaveBalances
      x-stoplight:
        id: rfq9spaeyvk4v
      type: object
      description: Leave balances object
      x-tags:
        - Models
      properties:
        companyLeaveType:
          type: string
          x-stoplight:
            id: 2l1afnr3vwr3g
          description: >-
            This is the unique role ID of the company leave types. Corresponds
            to the ids in response of GET Company Leave Types
        isBalanceUnlimited:
          type: boolean
          x-stoplight:
            id: 1ajemtjl037ej
          description: >-
            true if employee's balance corresponding to the company leave type
            is unlimited, else false
        balanceWithFutureRequests:
          type: number
          x-stoplight:
            id: g4ikgjoqo4vl1
          description: >-
            The remaining balance in minutes for the employee corresponding to
            the company leave type with future leave requests considered.
        balanceWithoutFutureRequests:
          type: number
          x-stoplight:
            id: q7o0o60yum9yr
          description: >-
            The remaining balance in minutes for the employee corresponding to
            the company leave type with future leave requests not considered.
        '':
          type: string
          x-stoplight:
            id: q07ogkstb4p5v
  securitySchemes:
    Token:
      type: http
      scheme: bearer

````